/***
 * FractalGUI: a graphical tool to edit Fractal component configurations.
 * Copyright (C) 2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: fractal@objectweb.org
 *
 * Authors: Eric Bruneton, Patrice Fauvel
 */

package org.objectweb.fractal.gui.repository.lib;

import org.objectweb.fractal.adl.Loader;
import org.objectweb.fractal.adl.XMLElement;
import org.objectweb.fractal.adl.ParserException;

import org.objectweb.fractal.gui.repository.api.Storage;

/**
 * Basic {@link Loader} implementation, based on a {@link Storage}.
 */

class StorageLoader implements Loader {

  /**
   * The storage used by this loader.
   */

  Storage storage;

  public XMLElement loadTypeDescriptor (final String s) throws ParserException {
    try {
      return (XMLElement)storage.load(s);
    } catch (Exception e) {
      throw new ParserException("Cannot load " + s, e);
    }
  }

  public XMLElement loadTemplateDescriptor (final String s)
    throws ParserException
  {
    try {
      return (XMLElement)storage.load(s);
    } catch (Exception e) {
      throw new ParserException("Cannot load " + s, e);
    }
  }
}
